Bug 107818 - Mounting a CD hangs the machine with an infinite "expected 2048 got 4096 " loop
Mounting a CD hangs the machine with an infinite "expected 2048 got 4096 " loop
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
high Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-10-23 08:48 EDT by Mikael Carneholm
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-25 21:38:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikael Carneholm 2003-10-23 08:48:40 EDT
Description of problem:
Trying to mount f.eg. any of the Severn test3 disks (that were fully mountable
during installation!) hangs the kernel with the following infinite messages:

Oct 22 23:09:25 citation kernel: ide-scsi: [[ 28 0 0 0 0 10 0 0 1 0 0 0 ]
Oct 22 23:09:25 citation kernel: ide-scsi: expected 2048 got 4096 limit 2048
Oct 22 23:09:25 citation kernel: ide-scsi: The scsi wants to send us more data
than expected - discarding data
Oct 22 23:09:25 citation kernel: ide-scsi: [[ 28 0 0 0 0 10 0 0 1 0 0 0 ]
Oct 22 23:09:25 citation kernel: ide-scsi: expected 2048 got 4096 limit 2048
Oct 22 23:09:25 citation kernel: ide-scsi: The scsi wants to send us more data
than expected - discarding data

.....

The device is a Matshita UJDA310 CD-RW on a Dell Latitude CPXj650 using ide-scsi
emulation (hdc=ide-scsi passed on the boot line). It has worked fine with RH9,
and as stated, during installation of Severn test3.



Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Mount a CD either manually (mount -t iso9660 /dev/cdrom /mnt/cdrom) or
automatically by just popping a CD in the drive
2. Watch the machine hang and eventaully, start swapping
3. Done
    
Actual results:
The device fails to mount the CD and the kernel starts spitting out messages

Expected results:
A mounted CD...

Additional info:
This is severe - don't know about other CD-RW drives, but judging from the
amount of Dell Latitudes CPx machines out there there should be quite an amount
of people who will not be able to use their CD drives.
Comment 1 Bill Nottingham 2003-10-23 21:45:28 EDT
Can you reproduce this with any CD?

Does this happen with later kernels?
Comment 2 Mikael Carneholm 2003-10-25 14:45:58 EDT
Any CD: yes.

Later kernels: don't know. All I know is that this is what happens with the
kernel shipped with test3 (2.4.22-1.2088.nptl). And if this kernel (as is) is
going to be included in Fedora 1.0, it's not good.
Comment 3 Michael K. Johnson 2003-10-27 11:09:59 EST
We really do need to hear back on whether new kernels resolve this or not;
can you get the latest kernel from rawhide and test, please?  Thanks!

Alternatively, getting a confirmatory report from another user would be
useful; perhaps another user who can reproduce this will be willing to
test other kernels.  But we can't resolve this blindfolded.  :-)
Comment 4 Mikael Carneholm 2003-10-29 15:21:41 EST
I upgraded the kernel to 2.4.22-1.2108.nptl, but without any luck (still getting
the same result when mounting a CD) 
=(
Comment 5 Keith Eggenberger 2004-02-05 17:03:13 EST
Has there been any progress on this bug? I am getting the same error
using the same hardware but using Fedora Core.
Comment 6 Dave Jones 2004-02-05 17:14:37 EST
This should have been fixed a long time ago (before the final Fedora
Core 1 kernel). Is it still happening in the latest errata kernel ?
Comment 7 P Fudd 2004-02-06 14:35:23 EST
Hi...

It's happening to me, with the latest errata kernel
(2.4.22-1.2149.nptl), with the first disk of the Yarrow distribution
(which I just used to install) and typing 'mount /mnt/cdrom'.

Dell Inspiron 7500, CD-RW, Fedora Core 1, plain-jane workstation
install from (repartitioned/reformatted) scratch yesterday.

I've also had another intermittent symptom: the drive won't open, with
either eject or a button press.
Comment 8 Mikael Carneholm 2004-02-06 19:23:35 EST
Yes, this is still the case with Fedora Core 1, kernel
2.4.22-1.2149.nptl. Very annoying indeed :(
Comment 9 Dave Jones 2004-10-25 21:38:39 EDT
this probably didnt get fixed for FC1 before it reached end-of-life, but FC2/3
should have this fixed.

Note You need to log in before you can comment on or make changes to this bug.